/**
 * 创建人:  @author tqzhang
 * 创建时间:  2023年06月27日 16:05
 * 项目名称:  YSpeaManager
 * 文件名称:  PhysicalResultTaskDao
 * 文件描述:  @Description:
 */
package com.bonus.boot.manager.task.dao;

import com.bonus.boot.manager.career.entity.CareerBean;
import com.bonus.boot.manager.task.entity.TaskBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 包名称：com.bonus.boot.manager.task
 * 类名称：PhysicalResultTaskDao
 * 类描述：
 * 创建人：@author xxxxxx
 * 创建时间：2023年06月27日 16:05
 */
@Mapper
public interface PhysicalResultTaskDao {
    void insertData(TaskBean b);

    String getIsExistThisYear(String nowYear);

    void insertYear(String nowYear);

    List<CareerBean> getNoUploadData();

    void updateStatusTask(CareerBean careerBean);

    List<CareerBean> getAllNoCheckPerson(String date);

    List<CareerBean> getNoCheckForAppointList(String date);
}
